perl-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Ken Williams" <...@forum.swarthmore.edu>
Subject Re: 1.25-tobe
Date Fri, 26 Jan 2001 15:33:07 GMT
dougm@covalent.net (Doug MacEachern) wrote:
>i'd like to release 1.25 tommorrow, i do not plan on making any other
>changes unless a showshopper pops up.
>if anybody can test the current cvs or this snapshot:
>http://perl.apache.org/~dougm/mod_perl-1.24_02-dev.tar.gz

With a freshly downloaded apache 1.3.14, I did "perl Makefile.PL
EVERYTHING=1".  First time through I got this:

...
===> modules/perl
cc -I. -I../../include -I../../include/regex -I../../include/.././os/unix
-DOSF1 -DUSE_HSREGEX -DUSE_EXPAT -I../lib/expat-lite -DNO_DL_NEEDED -std
-D_INTRINSICS -I/usr/local/include -D__LANGUAGE_C__
-I/usr/local/lib/perl5/alpha-dec_osf/5.00404/CORE -I. -I../.. -DUSE_PERL_SSI
-DMOD_PERL  -I`/usr/local/bin/perl -MConfig -e 'print
$Config{archlibexp}'`/CORE `/usr/local/bin/perl '-MApache::ExtUtils=%Config' -e
'print $Config{ccflags}'`                     
-DMOD_PERL_VERSION=\"1.24_02-dev\"  -I./os/unix -I../../include     -c
mod_perl_opmask.c -o mod_perl_opmask.o
`/usr/local/bin/perl -MExtUtils::Embed -e xsinit -- -std  Apache
Apache::Constants Apache::ModuleConfig Apache::Log Apache::URI Apache::Util
Apache::Connection Apache::Server Apache::File Apache::Table` 
/usr/local/bin/perl `/usr/local/bin/perl -MConfig -e 'print
$Config{privlibexp}'`/ExtUtils/xsubpp -typemap `/usr/local/bin/perl -MConfig -e
'print $Config{privlibexp}'`/ExtUtils/typemap Apache.xs > Apache.c
/bin/sh: 306636 Memory fault
make[3]: *** [Apache.c] Error 139
make[2]: *** [all] Error 1
make[1]: *** [subdirs] Error 1
make[1]: Leaving directory `/home/ken/downloads/apache_1.3.14/src'
make: *** [apache_httpd] Error 2


Then I immediately did 'make test' again and got further, but got killed
here:



...
cc -I. -I../../include -I../../include/regex -I../../include/.././os/unix
-DOSF1 -DUSE_HSREGEX -DUSE_EXPAT -I../lib/expat-lite -DNO_DL_NEEDED -std
-D_INTRINSICS -I/usr/local/include -D__LANGUAGE_C__
-I/usr/local/lib/perl5/alpha-dec_osf/5.00404/CORE -I. -I../.. -DUSE_PERL_SSI
-DMOD_PERL  -I`/usr/local/bin/perl -MConfig -e 'print
$Config{archlibexp}'`/CORE `/usr/local/bin/perl '-MApache::ExtUtils=%Config' -e
'print $Config{ccflags}'`                     
-DMOD_PERL_VERSION=\"1.24_02-dev\"  -I./os/unix -I../../include     -c Apache.c
-o Apache.o
cc: Error: Apache.xs, line 1863: Missing right parenthesis for macro argument
list. (noparenarglst)
    get_set_PVp(r->content_la
----------------^
cc: Error: Apache.xs, line 1863: Invalid expression. (badexpr)
    get_set_PVp(r->content_la
----^
cc: Error: Apache.xs, line 1863: Invalid statement. (badstmt)
    get_set_PVp(r->content_la
----^
cc: Error: Apache.xs, line 1863: Invalid statement. (badstmt)
    get_set_PVp(r->content_la
-----------------------------^
make[3]: *** [Apache.o] Error 1
make[2]: *** [all] Error 1
make[1]: *** [subdirs] Error 1
make[1]: Leaving directory `/home/ken/downloads/apache_1.3.14/src'
make: *** [apache_httpd] Error 2


That seems to be where things are stuck now.



Summary of my perl5 (5.0 patchlevel 4 subversion 4) configuration:
  Platform:
    osname=dec_osf, osvers=4.0, archname=alpha-dec_osf
    uname='osf1 forum.swarthmore.edu v4.0 564 alpha '
    hint=previous, useposix=true, d_sigaction=define
    bincompat3=n useperlio=undef d_sfio=undef
  Compiler:
    cc='cc', optimize='-O4', gccversion=
    cppflags='-std -D_INTRINSICS -I/usr/local/include -D__LANGUAGE_C__'
    ccflags ='-std -D_INTRINSICS -I/usr/local/include -D__LANGUAGE_C__'
    stdchar='unsigned char', d_stdstdio=define, usevfork=false
    voidflags=15, castflags=0, d_casti32=define, d_castneg=define
    intsize=4, alignbytes=8, usemymalloc=y, prototype=define
  Linker and Libraries:
    ld='ld', ldflags =' -L/usr/local/lib'
    libpth=/usr/local/lib /usr/shlib /shlib /lib /usr/lib /usr/ccs/lib
    libs=-ldbm -ldb -lm
    libc=/usr/shlib/libc.so, so=so
    useshrplib=false, libperl=libperl.a
  Dynamic Linking:
    dlsrc=dl_dlopen.xs, dlext=so, d_dlsymun=undef, ccdlflags=' '
    cccdlflags=' ', lddlflags='-shared -expect_unresolved "*" -O4 -msym -s
-L/usr/local/lib'


Characteristics of this binary (from libperl): 
  Built under dec_osf
  Compiled at Mar 24 1998 19:54:17
  @INC:
    /usr/local/lib/perl5/alpha-dec_osf/5.00404
    /usr/local/lib/perl5
    /usr/local/lib/perl5/site_perl/alpha-dec_osf
    /usr/local/lib/perl5/site_perl
    .



Am I missing a required version of something?

Unfortunately I'm going to be away from my computer all day today, so I
won't be able to help track down the problem.


  -------------------                            -------------------
  Ken Williams                             Last Bastion of Euclidity
  ken@forum.swarthmore.edu                            The Math Forum

Mime
View raw message